//
//    File: gts_mesh.h
//
//    (C) 2000-2008 Helmut Cantzler
//
//    Licensed under the terms of the Lesser General Public License.
//

#ifndef _GTS_MESH_H
#define _GTS_MESH_H

#include "mesh.h"

using namespace std;

class GTSMesh : public Mesh
{
private:
	void skipComment(FILE *f);
public:
  int read(FILE *f, int (*updateProgress)(int pos),
	   void (*setTotal)(int size));
  void write(FILE *f, const char *comment = "");
};

#endif
