#
# qmake file for qt3, qt4 and glut builds
#
# Usage: qmake GUI={QT3,QT4,GLUT}
#

TEMPLATE = app
CONFIG = opengl release
OBJECTS_DIR = tmp
MOC_DIR = tmp

INCLUDEPATH = mesh mathvector
HEADERS += mesh/*.h mathvector/*.h
SOURCES += mesh/*.cpp mathvector/*.cpp

windows {
 DEFINES += WIN32
}

isEmpty(GUI) {
 error( "Missing parameter GUI - Usage: qmake GUI={QT3,QT4,GLUT}" )
}

contains(GUI,QT3) {
 CONFIG += qt
 INCLUDEPATH += qt3
 HEADERS += qt3/*.h
 SOURCES += qt3/*.cpp
}

contains(GUI,QT4) {
 CONFIG += qt
 INCLUDEPATH += qt4
 HEADERS += qt4/*.h
 SOURCES += qt4/*.cpp
# INCLUDEPATH += /usr/lib/qt4/include/QtOpenGL/
# LIBS += -lQtOpenGL
}

contains(GUI,GLUT) {
 INCLUDEPATH += glut
 HEADERS += glut/*.h
 SOURCES += glut/*.cpp
 LIBS += -lglut -ljpeg
}
