//
//    File: list_mesh.h
//
//    (C) 2000-2008 Helmut Cantzler
//
//    Licensed under the terms of the Lesser General Public License.
//

#ifndef _LIST_MESH_H
#define _LIST_MESH_H

#include "mesh.h"
#include "p_mesh.h"
#include "gts_mesh.h"
#include "feature_mesh.h"
#include "ply_mesh.h"
#include "geomview_mesh.h"
#include "vrml1_mesh.h"
#include "vrml2_mesh.h"
#include "ply_mesh.h"
#include "obj_mesh.h"
#include "vtk_mesh.h"
#include "x3d_mesh.h"

using namespace std;

class ListMesh : public Mesh
{
public:
  int read(FILE *f, int (*updateProgress)(int pos),
	   void (*setTotal)(int size));
  void write(FILE *f, const char *comment = "");

private:
  list<Mesh*> meshes;
};

#endif
