//
//    File: shallo_mesh.h
//
//    (C) 2008, Michael Zimmermann
//
///    Licensed under the terms of the Lesser General Public License.
//

#ifndef _SHALLO_MESH_H
#define _SHALLO_MESH_H

#include "mesh.h"

using namespace std;

class ShalloMesh : public Mesh
{
    public:
        int read(FILE *f, int (*updateProgress)(int pos),
                 void (*setTotal)(int size));
        void write(FILE *f, const char *comment = "");
};

#endif
