//
//    File: vtk_mesh.h
//
//    (C) 2006-2008 Toby Breckon
//
//    Licensed under the terms of the Lesser General Public License.
//

#ifndef _VTK_MESH_H
#define _VTK_MESH_H

#include "mesh.h"

using namespace std;

class VTKMesh : public Mesh
{
public:
  int read(FILE *f, int (*updateProgress)(int pos),
	   void (*setTotal)(int size));
  void write(FILE *f, const char *comment = "");
};

#endif
